This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 702515 - nv_backlight (from nouveau) not working
nv_backlight (from nouveau) not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-05 19:58 EDT by Solomon Peachy
Modified: 2012-08-16 09:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 09:49:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Solomon Peachy 2011-05-05 19:58:48 EDT
Description of problem:

hitting the brightness keys in gnome causes the popop to appear, and the slider goes back and forth, but nothing changes.  Upon investigation it seems the right values are getting set to /sys/class/backlight/nv_backlight , but they are having no effect.

Version-Release number of selected component (if applicable):

kernel-2.6.35.12-90.fc14.x86_64

01:00.0 VGA compatible controller: nVidia Corporation G94 [GeForce 9800M GS] (rev a1)

ASUS G50vt notebook.

How reproducible:

100%

Steps to Reproduce:
1.  Boot up.
2.  Hit brightness key
  
Actual results:

Brightness should change

Expected results:

Brightness does not change.

Additional info:

This laptop also exposes the brightness via acpi, ie /sys/class/backlight/acpi_video0, and adjusting the values there works.  However, there's no way to tell nouveau to not export the brightness control, nor is there a way to get gnome-power-manager to use a different backlight device.

This used to work fine before nouveau got backlight support.  This is functionally a regression.
Comment 1 Chuck Ebbert 2011-05-06 04:32:01 EDT
(In reply to comment #1)
> 
> This used to work fine before nouveau got backlight support.  This is
> functionally a regression.

A regression since when? Fedora 13?
Comment 2 Fedora End Of Life 2012-08-16 09:50:02 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.